<html>
<head>
<title>Ogre::RTShader::ProgramProcessor::MergeCombination Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">ProgramProcessor</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html">MergeCombination</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::ProgramProcessor::MergeCombination Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::ProgramProcessor::MergeCombination" -->
<p><code>#include &lt;<a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html#a7f88e55801edfd6436a69f75ef6b333e">MergeCombination</a> (int float1Count, int float1Mask, int float2Count, int float2Mask, int float3Count, int float3Mask, int float4Count, int float4Mask)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html#aabf439632c0a3ab56061634b0c42c4bb">srcParamterTypeCount</a> [4]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html#a8dffc06c2e9883767c242b11e0452bfa">srcParameterMask</a> [4]</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00135">135</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7f88e55801edfd6436a69f75ef6b333e"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeCombination::MergeCombination" ref="a7f88e55801edfd6436a69f75ef6b333e" args="(int float1Count, int float1Mask, int float2Count, int float2Mask, int float3Count, int float3Mask, int float4Count, int float4Mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html#a7f88e55801edfd6436a69f75ef6b333e">Ogre::RTShader::ProgramProcessor::MergeCombination::MergeCombination</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float1Count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float1Mask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float2Count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float2Mask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float3Count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float3Mask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float4Count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>float4Mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00140">140</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8dffc06c2e9883767c242b11e0452bfa"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeCombination::srcParameterMask" ref="a8dffc06c2e9883767c242b11e0452bfa" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html#a8dffc06c2e9883767c242b11e0452bfa">Ogre::RTShader::ProgramProcessor::MergeCombination::srcParameterMask</a>[4]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00138">138</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<a class="anchor" id="aabf439632c0a3ab56061634b0c42c4bb"></a><!-- doxytag: member="Ogre::RTShader::ProgramProcessor::MergeCombination::srcParamterTypeCount" ref="aabf439632c0a3ab56061634b0c42c4bb" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1RTShader_1_1ProgramProcessor_1_1MergeCombination.html#aabf439632c0a3ab56061634b0c42c4bb">Ogre::RTShader::ProgramProcessor::MergeCombination::srcParamterTypeCount</a>[4]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShaderProgramProcessor_8h_source.html#l00137">137</a> of file <a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreShaderProgramProcessor_8h_source.html">OgreShaderProgramProcessor.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:33
</p>
</body>
</html>
